searchNodes=[{"doc":"CryptoRand provides fast and efficient crytographically strong versions of several Enum functions that rely on :rand uniform for underlying randomness. CryptoRand functions also operate on String.t() where appropriate.","ref":"CryptoRand.html","title":"CryptoRand","type":"module"},{"doc":"Clear CryptoRand process dictionary entries.","ref":"CryptoRand.html#clear/0","title":"CryptoRand.clear/0","type":"function"},{"doc":"Returns a random element of source . Randomness is generated using rand_bytes/1 . Raises Enum.EmptyError if source is empty. This function uses bytes from the function rand_bytes to generate a random integer in the range [0, n-1], where n is the number of elements in the source enumerable or graphemes in the source string . The element at the random integer index is returned. Example iex&gt; CryptoRand . random ( 1 .. 10 ) 7 iex&gt; CryptoRand . random ( &quot;aeiou&quot; ) &quot;i&quot;","ref":"CryptoRand.html#random/2","title":"CryptoRand.random/2","type":"function"},{"doc":"Shuffles the elements of source . Randomness is generated using rand_bytes/1 . Returns a list with the elements of an enumerable source shuffled or a String.t() with the graphemes of a string source shuffled. Example iex&gt; CryptoRand . shuffle ( [ 1 , 2 , 3 , 4 , 5 ] ) [ 5 , 2 , 3 , 4 , 1 ] iex&gt; CryptoRand . shuffle ( ?a .. ?z ) &#39;chivgpxldtrokyuqsnjmawzfeb&#39; iex&gt; CryptoRand . shuffle ( &quot;dingosky&quot; ) &quot;ndsyigok&quot;","ref":"CryptoRand.html#shuffle/2","title":"CryptoRand.shuffle/2","type":"function"},{"doc":"Takes count random items from an enumerable source or graphemes from a string source . Returns a list for a source enumerable and a String.t() for a source string . Examples iex&gt; CryptoRand . take_random ( ?a .. ?z , 5 ) &#39;kwvhn&#39; iex&gt; CryptoRand . take_random ( [ ?a , ?e , ?i , ?o , ?u ] , 3 ) &#39;eao&#39; iex&gt; CryptoRand . take_random ( &quot;dingosky&quot; , 3 ) &quot;dgi&quot;","ref":"CryptoRand.html#take_random/3","title":"CryptoRand.take_random/3","type":"function"},{"doc":"Generate random uniform integer in the range 1 to max . Randomness is generated using rand_bytes/1 . Example iex&gt; CryptoRand . uniform ( 16 ) 13","ref":"CryptoRand.html#uniform/2","title":"CryptoRand.uniform/2","type":"function"},{"doc":"Generate a random binary such that n integers in the range 0 to max -1 can be parsed by processing the binary k bits at a time, where k is the number of bits required to represent max -1. Randomness is generated using rand_bytes/1 . This function provides bytes such that each k bits can be used to index into an enumerable or String.t() of length max . Example iex&gt; CryptoRand . uniform_bytes ( 12 , 9 ) |&gt; IO . inspect ( ) |&gt; binary_digits ( ) &lt;&lt; 148 , 137 , 83 , 155 , 160 &gt;&gt; &quot;10010100 10001001 01010011 10011011 10100000&quot; iex&gt; k = max |&gt; :math . log2 ( ) |&gt; :math . ceil ( ) |&gt; round ( ) 4 For the bytes returned above, 9 integers can be parsed 4 bits at a time with each integer value being less than 12. Note none of the 4-bit clusters starts with 11 , which means each 4-bit integer will be less than 12, as desired. The function binary_digits/1 is not shown.","ref":"CryptoRand.html#uniform_bytes/3","title":"CryptoRand.uniform_bytes/3","type":"function"},{"doc":"Generate n random uniform integers in the range 1 to max . Randomness is generated using rand_bytes/1 . Example iex&gt; CryptoRand . uniform_list ( 16 , 8 ) [ 6 , 9 , 16 , 4 , 12 , 4 , 4 , 10 ]","ref":"CryptoRand.html#uniform_list/3","title":"CryptoRand.uniform_list/3","type":"function"}]